RECINS(1)

BEZEICHNUNG
recins - Datensätze in eine rec-Datei einfügen

ÜBERSICHT
recins [OPTION] … [-t TYP] [-n ZAHL | -e AUSW_AUSDR | -q ZEICHENKETTE | -m ZAHL] [(-f NAME -v ZEICHENKETTE) | -r DATEN] … [DATEI]

BESCHREIBUNG
Neue Datensätze in eine REC-Datenbank einfügen.

-f, --field=ZEICHENKETTE
    Feldname. Darauf sollte ein -v folgen.

-v, --value=ZEICHENKETTE
    Feldwert. Sollte auf ein -f folgen.

-r, --record=ZEICHENKETTE
    In die Datei einzufügender Datensatz.

--force
    Datensatze auch dann einfügen, wenn Richtlinien dies untersagen.

--no-external
    Keine externen Deskriptoren verwenden.

--no-auto
    Keine automatisch generierten Felder einfügen.

--verbose
    Einen ausführlichen Bericht ausgeben, falls die Integritätsprüfung scheitert.

-s, --password=ZEICHENKETTE
    Vertrauliche Felder mit dem angegebenen Passwort verschlüsseln.

--help
    Hilfe ausgeben und beenden.

--version
    Version anzeigen und beenden.

  Optionen zur Datensatzauswahl:

-i, --case-insensitive
    Groß- oder Kleinschreibung in Auswahlausdrücken nicht beachten.

-t, --type=TYP
    Nur auf Datensätze des angegebenen Typs anwenden.

-e, --expression=DATENS_AUSDR
    Auswahlausdruck.

-q, --quick=ZEICHENKETTE
    Datensätze mit Feldern auswählen, die eine Zeichenkette enthalten.

-n, --number=ZAHL,…
    Bestimmte Datensätze nach Position auswählen, mit Bereichsangabe.

-m, --random=ZAHL
    Eine angegebene Zahl von Datensätzen zufällig auswählen.

Falls keine DATEI angegeben wird, arbeitet der Befehl als Filter, wobei die Daten aus der Standardeingabe geholt werden und das Ergebnis in die Standardausgabe geschrieben wird.

AUTOR
Geschrieben von Jose E. Marchesi.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-recutils@gnu.org.
Website der GNU Recutils: <https://www.gnu.org/software/recutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2010-2020 Jose E. Marchesi. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für recins wird als Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und recins auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info recutils

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).